QrCode

Retrieves a QR Code resource.

Returns data used for QR Codes.

GET/api/qr-codes/{id}

Authorizations

X-AUTH-TOKEN
stringheaderrequired

Value for the X-AUTH-TOKEN header parameter.

Path Parameters

id
stringrequired

QrCode identifier

Response

200application/json

QrCode resource

id
integer

Id generated by Output.Rocks.

Example: 12345

identifier
stringrequired

Unique QR-Code Identifier

Example: "myqr"

text
string

QR data context. <<>> syntax is supported.

Example: "https://output.rocks"

margin
integer

Whitespace around QR image

Example: 4

size
integer

Width and height dimension of the image

Example: 150

dark
string

Hex color code of "dark" QR grid cells

Example: "000000"

light
string

Hex color code of "light" QR grid cells

Example: "FFFFFF"

ecLevel
enum<string>

Error correction level (L, M, Q, H)

Available options: LMQH

Example: "M"

centerImageUrl
string

Center image URL. Supports regular URLs or base64 data URIs.

Example: "https://app.output.rocks/build/images/vertical-logo.png"

centerImageSizeRatio
integer

How much space to take up, between 0.0 and 1.0

Example: 0.3

caption
string

Caption text to display below the QR code.

Example: "My Caption"

captionFontFamily
string

Font family of the caption text.

Example: "sans-serif"

captionFontSize
integer

Font size of the caption text in pixels.

Example: 10

captionFontColor
string

Color caption text, hex code.

Example: "000000"

createdBy
string

User, created this entry

Example: "user1@company.com"

updatedBy
string

User, updated this entry

Example: "user1@company.com"

createdAt
string<date-time>

UTC date time of entry creation

Example: "2024-08-23T00:00:00+00:00"

updatedAt
string<date-time>

UTC date time of last entry update

Example: "2024-08-23T00:00:00+00:00"

active
boolean

Active flag. Default: true

Available options: truefalse

Example: true

activeFrom
string<date-time>

Date to activate the entry. Default: today

Example: "2024-01-01"